Welcome Guest, Not a member yet? Register   Sign In
APCu in CI 4.x missing?
#1

Hi,

It would seem APCu support was dropped on the way to releasing CI4.

Will it be back?
Reply
#2

(This post was last modified: 05-20-2020, 09:52 AM by dave friend.)

(05-20-2020, 08:50 AM)drguiom Wrote: Hi,

It would seem APCu support was dropped on the way to releasing CI4.

Will it be back?

Was it implemented in previous versions? I don't recall it at all. APC was a possible cache driver but not APCu.

I don't think support for either will be seen mostly because APC is considered unmaintained and dead.
Reply
#3

(05-20-2020, 09:41 AM)dave friend Wrote:
(05-20-2020, 08:50 AM)drguiom Wrote: Hi,

It would seem APCu support was dropped on the way to releasing CI4.

Will it be back?

Was it implemented in previous versions? I don't recall it at all.

Cache_apc was available as a driver in the Cache library in CI3. It worked with APCu also
Reply
#4

(This post was last modified: 07-02-2021, 07:57 PM by marwin.)

Sorry for beeing a bit off topic - struggling with getting APCu to run with PHP 7.4 and CI 3.1.11. Does anyone have a solution for that?

Nvr mind - found the files on github: https://github.com/bcit-ci/CodeIgniter/b.../Cache.php

Works perfectly.
Reply
#5

(05-20-2020, 09:49 AM)drguiom Wrote: Cache_apc was available as a driver in the Cache library in CI3. It worked with APCu also

I confirm APC & APCu was super fast and so easy to use.
Does anyone have a good and not nightmaring alternative for caching Codeigniter 4 properly?
Reply
#6

(This post was last modified: 11-12-2022, 10:35 PM by InsiteFX.)

NOTE: APC has been discontinued.

Updated: 11/134/2023
APC is not discontinued thanks to @kenji
What did you Try? What did you Get? What did you Expect?

Joined CodeIgniter Community 2009.  ( Skype: insitfx )
Reply
#7

APCu is not discontinued.
https://packages.debian.org/en/sid/php8.1-apcu
Reply
#8

(11-12-2022, 12:29 AM)InsiteFX Wrote: NOTE: APC has been discontinued.

Updated: 11/134/2023
APC is not discontinued thanks to @kenji

Just for clarification: APCu is still well alive, running perfectly with PHP7 and PHP8.
Reply




Theme © iAndrew 2016 - Forum software by © MyBB